package com.ruoyi.cs.mapper;

import java.util.List;

import com.ruoyi.common.core.domain.entity.SysDictType;
import com.ruoyi.cs.domain.CsResourceDictType;

/**
 * 资源字典类型Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-29
 */
public interface CsResourceDictTypeMapper 
{

    /**
     * 校验字典类型称是否唯一
     *
     * @param dictType 字典类型
     * @return 结果
     */
    public CsResourceDictType checkDictTypeUnique(String dictType);

    /**
     * 查询资源字典类型
     * 
     * @param dictId 资源字典类型主键
     * @return 资源字典类型
     */
    public CsResourceDictType selectCsResourceDictTypeByDictId(Long dictId);

    /**
     * 根据所有字典类型
     *
     * @return 字典类型集合信息
     */
    public List<CsResourceDictType> selectDictTypeAll();

    /**
     * 根据字典类型ID查询信息
     *
     * @param dictId 字典类型ID
     * @return 字典类型
     */
    public CsResourceDictType selectDictTypeById(Long dictId);

    /**
     * 根据字典类型查询信息
     *
     * @param dictType 字典类型
     * @return 字典类型
     */
    public CsResourceDictType selectDictTypeByType(String dictType);

    /**
     * 查询资源字典类型列表
     * 
     * @param csResourceDictType 资源字典类型
     * @return 资源字典类型集合
     */
    public List<CsResourceDictType> selectCsResourceDictTypeList(CsResourceDictType csResourceDictType);

    /**
     * 新增资源字典类型
     * 
     * @param csResourceDictType 资源字典类型
     * @return 结果
     */
    public int insertCsResourceDictType(CsResourceDictType csResourceDictType);

    /**
     * 修改资源字典类型
     * 
     * @param csResourceDictType 资源字典类型
     * @return 结果
     */
    public int updateCsResourceDictType(CsResourceDictType csResourceDictType);

    /**
     * 删除资源字典类型
     * 
     * @param dictId 资源字典类型主键
     * @return 结果
     */
    public int deleteCsResourceDictTypeByDictId(Long dictId);

    /**
     * 批量删除资源字典类型
     * 
     * @param dictIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCsResourceDictTypeByDictIds(Long[] dictIds);
}
